## org.eclipse.emf.common.util
Class DelegatingEList.NonResolvingEIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEList.EIterator<E1>
          org.eclipse.emf.common.util.AbstractEList.NonResolvingEIterator<E1>
              org.eclipse.emf.common.util.DelegatingEList.NonResolvingEIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>

Enclosing class:
  DelegatingEList<E>

Deprecated.

    @Deprecated
    protected class DelegatingEList.NonResolvingEIterator<E1>

extends AbstractEList.NonResolvingEIterator<E1>

An extended read-only iterator that does not `resolve` objects.

See Also:
  `AbstractEList.NonResolvingEIterator`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`protected` `DelegatingEList.NonResolvingEIterator()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.NonResolvingEIterator
`doNext, remove`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`checkModCount, hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingEList.NonResolvingEIterator

    protected DelegatingEList.NonResolvingEIterator()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.